> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send command to device

> Operacion: Send command to device.



## OpenAPI

````yaml /generated/specs/diagnostics.json post /api/v1/flespi/device/{flespiId}/commands
openapi: 3.0.0
info:
  title: Raul API - Diagnostico
  description: Health, consumo, conectividad, SIMs, webhooks fallidos y estados tecnicos.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/flespi/device/{flespiId}/commands:
    post:
      tags:
        - flespi
      summary: Send command to device
      description: 'Operacion: Send command to device.'
      operationId: FlespiController_sendCommand
      parameters:
        - name: flespiId
          required: true
          in: path
          description: Flespi device ID
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendCommandDto'
      responses:
        '200':
          description: Command sent successfully
        '500':
          description: Failed to send command
components:
  schemas:
    SendCommandDto:
      type: object
      properties:
        command:
          type: object
          description: Command to send to device as key-value pairs
          example:
            type: reboot
      required:
        - command

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.